package com.qmth.qrzk.repository.exp;

import java.util.Date;

public class Book {
	private String guid;
	private String name;		//教材名称
	private String code;		//书号
	private String editor;		//作者
	private String press;		//出版社
	private String version;		//教材版次
	private Double price;		//定价(元)
	private Integer chapterSize; //章总数
	private Date enableDate;	//启用时间
	public String getGuid() {
		return guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getEditor() {
		return editor;
	}
	public void setEditor(String editor) {
		this.editor = editor;
	}
	public String getPress() {
		return press;
	}
	public void setPress(String press) {
		this.press = press;
	}
	public String getVersion() {
		return version;
	}
	public void setVersion(String version) {
		this.version = version;
	}
	public Double getPrice() {
		return price;
	}
	public void setPrice(Double price) {
		this.price = price;
	}
	public Integer getChapterSize() {
		return chapterSize;
	}
	public void setChapterSize(Integer chapterSize) {
		this.chapterSize = chapterSize;
	}
	public Date getEnableDate() {
		return enableDate;
	}
	public void setEnableDate(Date enableDate) {
		this.enableDate = enableDate;
	}
	public Book() {
		//do nothing
	}
	public Book(String guid, String name, String code, String editor,
			String press, String version, Double price, Integer chapterSize,
			Date enableDate) {
		this.guid = guid;
		this.name = name;
		this.code = code;
		this.editor = editor;
		this.press = press;
		this.version = version;
		this.price = price;
		this.chapterSize = chapterSize;
		this.enableDate = enableDate;
	}
}
